# Staking (deprecated)

{% hint style="danger" %}
These endpoints have been deprecated.
{% endhint %}

## Get current AVAX Supply

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/supply`

This endpoint gives more granular data about the AVAX supply based on a mix of real-time updates and editorial work of the Avascan team.

#### Query Parameters

| Name              | Type   | Description                                               |
| ----------------- | ------ | --------------------------------------------------------- |
| totalSupply       | number | total available AVAX supply (360MM + stakingRewards)      |
| circulatingSupply | number | genesisUnlock + stakingRewards                            |
| lastUpdate        | number | date of last update of the whole data set                 |
| stakingRewards    | number | total staking rewards minted                              |
| genesisUnlock     | number | unlocked AVAX at the time as per the AVAX Unlock Schedule |

{% tabs %}
{% tab title="200 Supply data correctely retrieved." %}

```
{
  "genesisUnlock": 65171868.28,
  "stakingRewards": 11765187,
  "lastUpdate": "2020-12-08T12:00:00.000Z",
  "circulatingSupply": 76937055.28,
  "totalSupply": 371765
```

{% endtab %}
{% endtabs %}

## Validators

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/validators`

This API allows you to source data per each validator on the Primary Network.

#### Path Parameters

| Name    | Type   | Description                                                                                                                                                                |
| ------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| offset  | number | The starting point of the search                                                                                                                                           |
| limit   | number | Number of items to fetch                                                                                                                                                   |
| orderBy | object | Can be used with all numeric keys with 'desc' or 'asc' value: weight, startTime, endTime, delegatedWeight, delegations, capacity, delegationFee, maxYield, potentialReward |

{% tabs %}
{% tab title="200 Outputs all data shown in the Validator Details page, along with rich data about the beneficiaries." %}

```
{
    "count":1004,
    "results":
        [
            {
            "id":"NodeID-3DwhPYMEQABuocceWDAZEpi8GMcLyvTYy",
            "weight":3000000,
            "startTime":"2020-09-22T09:24:17.000Z",
            "endTime":"2021-09-22T09:24:17.000Z",
            "status":"active",
            "delegatedWeights":1313691.75,
            "delegations":34,
            "capacity":0,
            "delegationFee":0.0999,
            "maxYield":0.0999,
            "potentialReward":197357.255653572,
            "beneficiary":
                    {
                    "locktime":"0",
                    "threshold":"1",
                    "addresses":
                        [ "P-avax1p9w2g4nds47d83sa7vqtm2g3yr28mp7f6pd7tt"]
                    }
            }
        ]    
}
        
```

{% endtab %}
{% endtabs %}

## Delegations

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/delegations`

This API allows you to source data about all the delegations in progress. It **does not** provide historical delegations. No parameter is needed.

{% tabs %}
{% tab title="200 " %}

```
{
    "items":
        [
            {
                "beneficiary":
                    {
                        "locktime":"0",
                        "threshold":"1",
                        "addresses":
                        ["P-avax1ef0yud6tj9xt2t7gt8gnkzf0kksw4wfgpwm78v"]
                    },
                "txid":"zJUu4d87L8fakqx1ayPUNcvuxk2bKiKLUnyQjqrTvCwKdtMti",
                "weight":2324960,
                "nodeID":"NodeID-77sRzBARyvwQk9g4d2CZaucRQeRA7SJuh",
                "potentialReward":34302.056718573,
                "startTime":"2021-07-06T13:48:44.000Z",
                "endTime":"2021-09-04T23:00:19.000Z"
            },
        ...
        ]
}            
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avascan.info/api/api-v1-deprecated/staking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
